package com.sagacloud.utils.jsonHelper.search.inforPointSearchResult;

import org.apache.htrace.fasterxml.jackson.annotation.JsonInclude;

/**
 * Created by wo on 8/22/17.
 * 信息点返回结果
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SearchResultType {
    private String Type;

    public String getType() { return this.Type; }

    public void setType(String Type) { this.Type = Type; }

    private String Info;

    public String getInfo() { return this.Info; }

    public void setInfo(String Info) { this.Info = Info; }

    private String InfoName;

    public String getInfoName() { return this.InfoName; }

    public void setInfoName(String InfoName) { this.InfoName = InfoName; }

    private String Major;

    public String getMajor() { return this.Major; }

    public void setMajor(String Major) { this.Major = Major; }

    private String MajorName;

    public String getMajorName() { return this.MajorName; }

    public void setMajorName(String MajorName) { this.MajorName = MajorName; }

    private String Sys;

    public String getSys() { return this.Sys; }

    public void setSys(String Sys) { this.Sys = Sys; }

    private String SysName;

    public String getSysName() { return this.SysName; }

    public void setSysName(String SysName) { this.SysName = SysName; }

    private String Eq;

    public String getEq() { return this.Eq; }

    public void setEq(String Eq) { this.Eq = Eq; }

    private String EqName;

    public String getEqName() { return this.EqName; }

    public void setEqName(String EqName) { this.EqName = EqName; }

    private String inputMode;

    public String getInputMode() { return this.inputMode; }

    public void setInputMode(String inputMode) { this.inputMode = inputMode; }

    private String unit;

    public String getUnit() { return this.unit; }

    public void setUnit(String unit) { this.unit = unit; }

    private String dataSource;

    public String getDataSource() { return this.dataSource; }

    public void setDataSource(String dataSource) { this.dataSource = dataSource; }
}
